%global pypi_name pyScss
%global pname scss

Summary:         A Scss compiler for Python
Name:            python-pyScss
Version:         1.4.0
Release:         4%{?dist}
License:         MIT
URL:             https://github.com/Kronuz/pyScss
Source0:         https://github.com/Kronuz/pyScss/archive/v%{version}.tar.gz

BuildRequires:   pcre-devel gcc

%description
pyScss is a compiler for the Sass language,
a superset of CSS3 that adds programming
capabilities and some other syntactic sugar.

%package -n python3-%{pname}
Summary:             A Scss compiler for Python
BuildRequires:       python3-devel python3-setuptools python3-six python3-sphinx
Requires:            python3-six python3-setuptools

%description -n python3-%{pname}
pyScss is a compiler for the Sass language,
a superset of CSS3 that adds programming
capabilities and some other syntactic sugar.

%prep
%autosetup -n %{pypi_name}-%{version}
pathfix.py -pni "%{__python3} %{py3_shbang_opts}" .

%build
%py3_build
cd docs
make SPHINXBUILD=sphinx-build-3 man

%install
%py3_install
chmod +x %{buildroot}%{python3_sitearch}/scss/tool.py
mkdir -p %{buildroot}%{_mandir}/man1/
cp -ar docs/_build/man/pyscss.1 %{buildroot}%{_mandir}/man1/pyscss.1

%files -n python3-%{pname}
%license LICENSE
%doc DESCRIPTION README.rst
%{python3_sitearch}/*
%{_bindir}/pyscss
%{_bindir}/less2scss
%{_mandir}/man1/pyscss.1.gz

%changelog
* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.4.0-4
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.4.0-3
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.4.0-2
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Apr 21 2023 Miaojun Dong <zoedong@tencent.com> - 1.4.0-1
- initial build
